uniform sampler2D uTexture;
uniform lowp float uAlpha; //Default 1.0f
uniform lowp vec3 uColor; //Default 1.0f, 1.0f, 1.0f

varying highp vec2 vTexCoord;

void main(void)
{
    //gl_FragColor = vec4(vTexCoord, 1.0, 1.0);
    lowp vec4 sample = texture2D(uTexture, vTexCoord);
    gl_FragColor = vec4(sample.rgb * uColor.rgb, sample.a * uAlpha);
}

