uniform samplerCube uTextureCubeMap;
uniform lowp vec4 uColor; //Default 1.0f, 1.0f, 1.0f, 1.0f
uniform lowp float uOversteer; //Default 0.0f

varying highp vec3 vTexCoord;

void main(void)
{
    lowp vec4 sample = textureCube(uTextureCubeMap, vTexCoord);
    gl_FragColor = uColor * clamp(sample + uOversteer * sample, 0.0, 1.0);
}
