uniform lowp vec4 uColorFull;   //Default 1.0f, 1.0f, 1.0f, 1.0f
uniform lowp vec4 uColorEmpty;  //Default 1.0f, 1.0f, 1.0f, 1.0f
uniform lowp vec3 uProgressInfo;   //Default 0.0f, 1.0f, 0.0f

varying highp float vPositionY;

void main(void)
{
    mediump float indicator = (vPositionY-uProgressInfo.x)/(uProgressInfo.y-uProgressInfo.x);

    gl_FragColor = mix(uColorFull, uColorEmpty, clamp(sign(indicator-uProgressInfo.z), 0.0, 1.0));
}

