uniform sampler2D uTexture;
uniform lowp vec4 uColorR; //Default 1.0f, 1.0f, 1.0f, 1.0f
uniform lowp vec4 uColorG; //Default 1.0f, 1.0f, 1.0f, 1.0f

varying highp vec2 vTexCoord;

void main(void)
{
    lowp vec4 texColor = texture2D(uTexture, vTexCoord);
    gl_FragColor = vec4(uColorR.rgb*texColor.r + uColorG.rgb*texColor.g, texColor.a*uColorR.a*uColorG.a );
}

