uniform sampler2D uTexture;
uniform lowp vec3 uInnerColor;   //Default 1.0f, 1.0f, 1.0f
uniform lowp vec3 uOuterColor;   //Default 1.0f, 1.0f, 1.0f

varying mediump vec2 vTexCoord;

void main(void)
{
    lowp vec4 sample = texture2D(uTexture, vTexCoord);
    gl_FragColor = vec4(mix(uInnerColor.rgb, uOuterColor.rgb, sample.b * sample.g), sample.r);
}

