uniform sampler2D uTexture;
uniform highp float uPixelSize;

varying highp vec2 vTexCoord;

void main(void)
{
    /*
    gl_FragColor = vec4(
        texture2D(uTexture, vTexCoord - vec2(3.0 * uPixelSize, 0.0)) * ( 1.0 / 64.0) +
        texture2D(uTexture, vTexCoord - vec2(2.0 * uPixelSize, 0.0)) * ( 6.0 / 64.0) +
        texture2D(uTexture, vTexCoord - vec2(      uPixelSize, 0.0)) * (15.0 / 64.0) +
        texture2D(uTexture, vTexCoord                              ) * (20.0 / 64.0) +
        texture2D(uTexture, vTexCoord + vec2(      uPixelSize, 0.0)) * (15.0 / 64.0) +
        texture2D(uTexture, vTexCoord + vec2(2.0 * uPixelSize, 0.0)) * ( 6.0 / 64.0) +
        texture2D(uTexture, vTexCoord + vec2(3.0 * uPixelSize, 0.0)) * ( 1.0 / 64.0));
    */
    /*
    gl_FragColor = vec4(
        texture2D(uTexture, vTexCoord - vec2(uPixelSize, 0.0)) * 0.25 +
        texture2D(uTexture, vTexCoord                        ) * 0.50 +
        texture2D(uTexture, vTexCoord + vec2(uPixelSize, 0.0)) * 0.25);
    */
    /*
    gl_FragColor = clamp(vec4(
        texture2D(uTexture, vTexCoord - vec2(uPixelSize * 3.2307692308, 0.0)) * 0.0702702703 +
        texture2D(uTexture, vTexCoord - vec2(uPixelSize * 1.3846153846, 0.0)) * 0.3162162162 +
        texture2D(uTexture, vTexCoord                                       ) * 0.2270270270 +
        texture2D(uTexture, vTexCoord + vec2(uPixelSize * 1.3846153846, 0.0)) * 0.3162162162 +
        texture2D(uTexture, vTexCoord + vec2(uPixelSize * 3.2307692308, 0.0)) * 0.0702702703) * 1.25, 0.0, 1.0);
    */
    /*
    lowp vec4 sampleM2 = texture2D(uTexture, vTexCoord - vec2(uPixelSize * 3.2307692308, 0.0));
    lowp vec4 sampleM1 = texture2D(uTexture, vTexCoord - vec2(uPixelSize * 1.3846153846, 0.0));
    lowp vec4 sampleC  = texture2D(uTexture, vTexCoord);
    lowp vec4 sampleP1 = texture2D(uTexture, vTexCoord + vec2(uPixelSize * 1.3846153846, 0.0));
    lowp vec4 sampleP2 = texture2D(uTexture, vTexCoord + vec2(uPixelSize * 3.2307692308, 0.0));
    lowp float multiplier = -sign(0.99 - max(max(max(max(sampleM2.a, sampleM1.a), sampleC.a), sampleP1.a), sampleP2.a));
    sampleC = sampleC * 0.5 + clamp(multiplier * vec4(
        sampleM2 * 0.0702702703 +
        sampleM1 * 0.3162162162 +
        //sampleC  * 0.3989422804 +
        sampleP1 * 0.3162162162 +
        sampleP2 * 0.0702702703) * 1.25, 0.0, 1.0);
    sampleC.a *= 0.98;
    gl_FragColor = sampleC;
    */
    /*
    gl_FragColor = clamp(vec4(
        texture2D(uTexture, vTexCoord - vec2(3.0 * uPixelSize, 0.0)) * (0.015625)  +
        texture2D(uTexture, vTexCoord - vec2(2.0 * uPixelSize, 0.0)) * (0.09375)   +
        texture2D(uTexture, vTexCoord - vec2(      uPixelSize, 0.0)) * (0.2343375) +
        texture2D(uTexture, vTexCoord                              ) * (0.8125)    +
        texture2D(uTexture, vTexCoord + vec2(      uPixelSize, 0.0)) * (0.2343375) +
        texture2D(uTexture, vTexCoord + vec2(2.0 * uPixelSize, 0.0)) * (0.09375)   +
        texture2D(uTexture, vTexCoord + vec2(3.0 * uPixelSize, 0.0)) * (0.015625)), 0.0, 1.0);
    */
    gl_FragColor = clamp(vec4(
        texture2D(uTexture, vTexCoord - vec2(uPixelSize * 3.2307692308, 0.0)) * 0.0702702703 +
        texture2D(uTexture, vTexCoord - vec2(uPixelSize * 1.3846153846, 0.0)) * 0.3162162162 +
        texture2D(uTexture, vTexCoord                                       ) * 0.2270270270 +
        texture2D(uTexture, vTexCoord + vec2(uPixelSize * 1.3846153846, 0.0)) * 0.3162162162 +
        texture2D(uTexture, vTexCoord + vec2(uPixelSize * 3.2307692308, 0.0)) * 0.0702702703), 0.0, 1.0);
    //gl_FragColor = texture2D(uTexture, vTexCoord);
}
