uniform sampler2D uTexture;
uniform lowp float uAlpha; //Default 1.0f

varying mediump vec2 vTexCoord;
varying mediump vec3 vInnerColor;
varying mediump vec4 vOuterColor;

void main(void)
{
    lowp vec4 sample = texture2D(uTexture, vTexCoord);
    gl_FragColor = vec4(mix(vInnerColor, vOuterColor.rgb, sample.b * sample.g), vOuterColor.a * sample.r * uAlpha);
}

